#version 150

in vec3 vertexPosition;
in vec4 vertexColor;
in vec3 vertexNormal;
in vec2 vertexTextureCoord;

uniform vec3 lightPos0, lightPos1;
uniform vec4 drawColor;
uniform mat3 normalMatrix;
uniform mat4 modelViewMatrix, projectionMatrix;
uniform sampler2D texture;

out vec2 v_texCoord;
out vec3 v_lightDir, v_normal;
out vec4 v_modelViewPos, v_color;

void main(void) {
        v_texCoord = vertexTextureCoord;
        //v_modelViewPos
        gl_Position = projectionMatrix * modelViewMatrix * vec4(vertexPosition, 1.0);
}