#version 150

uniform vec3 lightPos0, lightPos1;
uniform vec4 drawColor;
uniform mat3 normalMatrix;
uniform mat4 modelViewMatrix, projectionMatrix;
uniform sampler2D textureID;
uniform sampler2D textureOffset;

in vec2 textureCoord;

out vec4 outColor;

void main(void)
{
	vec2 offset = texture(textureOffset, textureCoord).xy * 2.0 - 1.0;
		
	// Store color
	outColor = texture(textureID, textureCoord - vec2(offset.x , -offset.y) * 0.1);
	//outColor = vec4(texture(textureOffset, v_texCoord).xy, 0.0, 1.0);
}
