#version 150

uniform vec3 lightPos0, lightPos1;
uniform vec4 drawColor;
uniform mat3 normalMatrix;
uniform mat4 modelViewMatrix, projectionMatrix;
uniform sampler2D textureID;

in vec4 modelViewPos;

out vec4 outColor;

uniform float time, size;
uniform vec3 colorPrimary,colorSecondary;
uniform vec2 distribution,posOffset;

float getRandom(vec2 pos)
{
	return texture(textureID, mod(mod(pos,256.0)+256.0,256.0)/256.0).x;
}

float getPulse(float t)
{//e^12 = 162754.79141900392080800520489849
	return (exp(abs(mod(t * 0.4, 12.0)-6.0))-1.0) / 403.4;
}

vec3 getColor(float rand, float t)
{
	float pulse = getPulse(t * 2.0 + rand * 256.0);
	return colorPrimary * (distribution.x + distribution.y * rand) * (1.0 - pulse) + colorSecondary * pulse;
}

void main(void)
{
	outColor = vec4(getColor(getRandom(modelViewPos.xy + posOffset/size), time),1.0);
}